This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 13944 - The WebVTT timestamp seconds separator is always a full stop
Summary: The WebVTT timestamp seconds separator is always a full stop
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-29 11:25 UTC by contributor
Modified: 2012-07-18 18:41 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2011-08-29 11:25:19 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#webvtt-cue-text-dom-construction-rules
Complete: http://www.whatwg.org/c#webvtt-cue-text-dom-construction-rules

Comment:
The WebVTT timestamp seconds separator is always a full stop

Posted from: 83.218.67.122 by philipj@opera.com
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.9.186 Version/12.00
Comment 1 Philip J├Ągenstedt 2011-08-29 11:26:24 UTC
ProcessingInstruction node whose target is "timestamp" and whose data is a WebVTT timestamp representing the value of the WebVTT Timestamp Object, with all optional components included and with the seconds separator being a U+002E FULL STOP character (.).

The last part appears to be left-over from when either a comma or a full stop was allowed as the separator. Now only full stop is allowed: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html#webvtt-timestamp
Comment 2 Ian 'Hixie' Hickson 2011-10-12 19:32:06 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2011-10-12 19:33:06 UTC
Checked in as WHATWG revision r6675.
Check-in comment: vestigial text
http://html5.org/tools/web-apps-tracker?from=6674&to=6675